# Class CompilationFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.google.testing.compile.CompilationFailureException

All Implemented Interfaces:
  `Serializable`

public class CompilationFailureException extends RuntimeException
An exception thrown to indicate that compilation has failed for an unknown reason.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`